package com.njzscloud.dispose.cst.order.controller;

import com.njzscloud.common.core.utils.R;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.dispose.cst.order.pojo.entity.OrderExpenseItemsEntity;
import com.njzscloud.dispose.cst.order.service.OrderExpenseItemsService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 付费项
 *
 * @author ljw
 */
@Slf4j
@RestController
@RequestMapping("/order_expense_items")
@RequiredArgsConstructor
public class OrderExpenseItemsController {

    private final OrderExpenseItemsService orderExpenseItemsService;

    /**
     * 新增
     */
    @PostMapping("/add")
    public R<?> add(@RequestBody OrderExpenseItemsEntity orderExpenseItemsEntity) {
        orderExpenseItemsService.add(orderExpenseItemsEntity);
        return R.success();
    }

    /**
     * 修改
     */
    @PostMapping("/modify")
    public R<?> modify(@RequestBody OrderExpenseItemsEntity orderExpenseItemsEntity) {
        orderExpenseItemsService.modify(orderExpenseItemsEntity);
        return R.success();
    }

    /**
     * 删除
     */
    @PostMapping("/del")
    public R<?> del(@RequestBody List<Long> ids) {
        orderExpenseItemsService.del(ids);
        return R.success();
    }

    /**
     * 详情
     */
    @GetMapping("/detail")
    public R<OrderExpenseItemsEntity> detail(@RequestParam("id") Long id) {
        return R.success(orderExpenseItemsService.detail(id));
    }

    /**
     * 分页查询
     */
    @GetMapping("/paging")
    public R<PageResult<OrderExpenseItemsEntity>> paging(PageParam pageParam, OrderExpenseItemsEntity orderExpenseItemsEntity) {
        return R.success(orderExpenseItemsService.paging(pageParam, orderExpenseItemsEntity));
    }
}


